#include <gtk/gtk.h>

extern GtkWidget *window;

void page_pack(GtkWidget *table) 
{
	GtkAdjustment *adj;
	GtkWidget *opt, *menu, *item;
	GtkWidget *label;
	GtkWidget *radio;
	GtkWidget *text;
        GdkPixmap *pixmap;
        GdkBitmap *mask;
        GtkWidget *pixmapwid;
	GtkStyle  *style;
	int i;

	label =gtk_label_new("Choose packages to install : ");
	gtk_table_attach_defaults (GTK_TABLE(table), label, 1,6,2,3);
        gtk_widget_show(label);

	radio = gtk_radio_button_new_with_label (NULL, "Light Installation (100MB");
	gtk_table_attach_defaults (GTK_TABLE(table), radio, 4,10,4,5);
	gtk_widget_show(radio);
	
	radio = gtk_radio_button_new_with_label (
		gtk_radio_button_group (GTK_RADIO_BUTTON (radio)),
		 "Normal Installation 400MB");
        gtk_table_attach_defaults (GTK_TABLE(table), radio, 4,10,6,7);
        gtk_widget_show(radio);

	radio = gtk_radio_button_new_with_label (
		gtk_radio_button_group (GTK_RADIO_BUTTON (radio)),
		 "Large Installation 600MB");
        gtk_table_attach_defaults (GTK_TABLE(table), radio, 4,10,8,9);
        gtk_widget_show(radio);

	style = gtk_widget_get_default_style();
        pixmap = gdk_pixmap_create_from_xpm (window->window, &mask,
                                &style->bg[GTK_STATE_NORMAL], "pack.xpm");
        pixmapwid = gtk_pixmap_new (pixmap, mask);
        gtk_table_attach_defaults (GTK_TABLE(table),pixmapwid,
                                11,13,7,9);
        gtk_widget_show(pixmapwid);	
}
